module Videos
  class Engine < Rails::Engine
    initializer "video" do
      OrbitApp.registration "Video",:type=> 'ModuleApp' do
        module_label 'video.video'
        base_url File.expand_path File.dirname(__FILE__)    
        
         version "0.1"
         organization "Rulingcom"
         author "RD dep"
         intro "I am intro"

         front_end do
           app_page 'channel_videos' do
              frontend_i18n "video.front_end.channel_videos"
            end
         end
        
        authorizable
       
       widgets do
          customize_widget "channel_videos" do 
            widget_i18n "videos.widget.channel_videos"
            style ["1","2"]
            options "channel_videos",:i18n =>"videos.channel_videos",:options_item => {"query"=>"ChannelVideo.all", "value"=>:id, "label"=>:channel_name}
          end

        end
       
        
        side_bar do
          head_label_i18n  'video.channel',:icon_class=>"icon-facetime-video"
          available_for [:admin,:guest,:manager,:sub_manager]
          active_for_controllers ({:private=>['channel_videos', 'videos']})

          head_link_path "panel_video_back_end_channel_videos_path"

          context_link 'video.channel',
                                :link_path=>"panel_video_back_end_channel_videos_path" ,
                                :priority=>1,
                                :available_for => [:manager]   

        end
      end
    end
  end
end
